Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in xen
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in xen
ID: SUSE-SU-2024:1105-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 12 SP5, SUSE Linux Enterprise High Performance Computing 12 SP5, SUSE Linux Enterprise Server for SAP Applications 12 SP5, SUSE Linux Enterprise Software Development Kit 12 SP5
Datum: Mi, 3. April 2024, 21:32
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-28746
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-2193
Applikationen: Xen

Originalnachricht

--===============1293377641890722972==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit



# Security update for xen

Announcement ID: SUSE-SU-2024:1105-1
Rating: moderate
References:

* bsc#1027519
* bsc#1220141
* bsc#1221332
* bsc#1221334


Cross-References:

* CVE-2023-28746
* CVE-2024-2193


CVSS scores:

* CVE-2023-28746 ( SUSE ): 6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:N/A:N
* CVE-2024-2193 ( SUSE ): 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N


Affected Products:

* SUSE Linux Enterprise High Performance Computing 12 SP5
* SUSE Linux Enterprise Server 12 SP5
* SUSE Linux Enterprise Server for SAP Applications 12 SP5
* SUSE Linux Enterprise Software Development Kit 12 SP5



An update that solves two vulnerabilities and has two security fixes can now be
installed.

## Description:

This update for xen fixes the following issues:

* CVE-2023-28746: Register file data sampling. (bsc#1221332)
* CVE-2024-2193: Fixed GhostRace, a speculative race conditions.
(bsc#1221334)

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* SUSE Linux Enterprise Server for SAP Applications 12 SP5
zypper in -t patch SUSE-SLE-SERVER-12-SP5-2024-1105=1

* SUSE Linux Enterprise High Performance Computing 12 SP5
zypper in -t patch SUSE-SLE-SERVER-12-SP5-2024-1105=1

* SUSE Linux Enterprise Server 12 SP5
zypper in -t patch SUSE-SLE-SERVER-12-SP5-2024-1105=1

* SUSE Linux Enterprise Software Development Kit 12 SP5
zypper in -t patch SUSE-SLE-SDK-12-SP5-2024-1105=1

## Package List:

* SUSE Linux Enterprise Server for SAP Applications 12 SP5 (x86_64)
* xen-tools-domU-4.12.4_46-3.106.1
* xen-libs-debuginfo-32bit-4.12.4_46-3.106.1
* xen-tools-debuginfo-4.12.4_46-3.106.1
* xen-libs-4.12.4_46-3.106.1
* xen-debugsource-4.12.4_46-3.106.1
* xen-4.12.4_46-3.106.1
* xen-tools-domU-debuginfo-4.12.4_46-3.106.1
* xen-doc-html-4.12.4_46-3.106.1
* xen-tools-4.12.4_46-3.106.1
* xen-libs-debuginfo-4.12.4_46-3.106.1
* xen-libs-32bit-4.12.4_46-3.106.1
* SUSE Linux Enterprise High Performance Computing 12 SP5 (x86_64)
* xen-tools-domU-4.12.4_46-3.106.1
* xen-libs-debuginfo-32bit-4.12.4_46-3.106.1
* xen-tools-debuginfo-4.12.4_46-3.106.1
* xen-libs-4.12.4_46-3.106.1
* xen-debugsource-4.12.4_46-3.106.1
* xen-4.12.4_46-3.106.1
* xen-tools-domU-debuginfo-4.12.4_46-3.106.1
* xen-doc-html-4.12.4_46-3.106.1
* xen-tools-4.12.4_46-3.106.1
* xen-libs-debuginfo-4.12.4_46-3.106.1
* xen-libs-32bit-4.12.4_46-3.106.1
* SUSE Linux Enterprise Server 12 SP5 (x86_64)
* xen-tools-domU-4.12.4_46-3.106.1
* xen-libs-debuginfo-32bit-4.12.4_46-3.106.1
* xen-tools-debuginfo-4.12.4_46-3.106.1
* xen-libs-4.12.4_46-3.106.1
* xen-debugsource-4.12.4_46-3.106.1
* xen-4.12.4_46-3.106.1
* xen-tools-domU-debuginfo-4.12.4_46-3.106.1
* xen-doc-html-4.12.4_46-3.106.1
* xen-tools-4.12.4_46-3.106.1
* xen-libs-debuginfo-4.12.4_46-3.106.1
* xen-libs-32bit-4.12.4_46-3.106.1
* SUSE Linux Enterprise Software Development Kit 12 SP5 (aarch64 x86_64)
* xen-devel-4.12.4_46-3.106.1
* xen-debugsource-4.12.4_46-3.106.1

## References:

* https://www.suse.com/security/cve/CVE-2023-28746.html
* https://www.suse.com/security/cve/CVE-2024-2193.html
* https://bugzilla.suse.com/show_bug.cgi?id=1027519
* https://bugzilla.suse.com/show_bug.cgi?id=1220141
* https://bugzilla.suse.com/show_bug.cgi?id=1221332
* https://bugzilla.suse.com/show_bug.cgi?id=1221334


--===============1293377641890722972==
Content-Type: text/html; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit




<div class="container">
<h1>Security update for xen</h1>

<table class="table table-striped table-bordered">
<tbody>
<tr>
<th>Announcement ID:</th>
<td>SUSE-SU-2024:1105-1</td>
</tr>

<tr>
<th>Rating:</th>
<td>moderate</td>
</tr>
<tr>
<th>References:</th>
<td>
<ul>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1027519">bsc#1027519</a>
</li>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1220141">bsc#1220141</a>
</li>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1221332">bsc#1221332</a>
</li>

<li style="display: inline;">
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1221334">bsc#1221334</a>
</li>


</ul>
</td>
</tr>

<tr>
<th>
Cross-References:
</th>
<td>
<ul>

<li style="display: inline;">
<a href="https://www.suse.com/security/cve/CVE-2023-28746.html">CVE-2023-28746</a>
</li>

<li style="display: inline;">
<a href="https://www.suse.com/security/cve/CVE-2024-2193.html">CVE-2024-2193</a>
</li>

</ul>
</td>
</tr>
<tr>
<th>CVSS scores:</th>
<td>
<ul class="list-group">

<li class="list-group-item">
<span
class="cvss-reference">CVE-2023-28746</span>
<span class="cvss-source">
(

SUSE

):
</span>
<span
class="cvss-score">6.5</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:N/A:N</span>
</li>

<li class="list-group-item">
<span
class="cvss-reference">CVE-2024-2193</span>
<span class="cvss-source">
(

SUSE

):
</span>
<span
class="cvss-score">5.5</span>
<span
class="cvss-vector">CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N</span>
</li>

</ul>
</td>
</tr>

<tr>
<th>Affected Products:</th>
<td>
<ul class="list-group">

<li class="list-group-item">SUSE Linux
Enterprise High Performance Computing 12 SP5</li>

<li class="list-group-item">SUSE Linux
Enterprise Server 12 SP5</li>

<li class="list-group-item">SUSE Linux
Enterprise Server for SAP Applications 12 SP5</li>

<li class="list-group-item">SUSE Linux
Enterprise Software Development Kit 12 SP5</li>

</ul>
</td>
</tr>
</tbody>
</table>

<p>An update that solves two vulnerabilities and has two security
fixes can now be installed.</p>





<h2>Description:</h2>

<p>This update for xen fixes the following issues:</p>
<ul>
<li>CVE-2023-28746: Register file data sampling. (bsc#1221332)</li>
<li>CVE-2024-2193: Fixed GhostRace, a speculative race conditions.
(bsc#1221334)</li>
</ul>





<h2>Patch Instructions:</h2>
<p>
To install this SUSE update use the SUSE recommended
installation methods like YaST online_update or "zypper
patch".<br/>

Alternatively you can run the command listed for your product:
</p>
<ul class="list-group">

<li class="list-group-item">
SUSE Linux Enterprise Server for SAP Applications 12 SP5


<br/>
<code>zypper in -t patch
SUSE-SLE-SERVER-12-SP5-2024-1105=1</code>



</li>

<li class="list-group-item">
SUSE Linux Enterprise High Performance Computing 12 SP5


<br/>
<code>zypper in -t patch
SUSE-SLE-SERVER-12-SP5-2024-1105=1</code>



</li>

<li class="list-group-item">
SUSE Linux Enterprise Server 12 SP5


<br/>
<code>zypper in -t patch
SUSE-SLE-SERVER-12-SP5-2024-1105=1</code>



</li>

<li class="list-group-item">
SUSE Linux Enterprise Software Development Kit 12 SP5


<br/>
<code>zypper in -t patch
SUSE-SLE-SDK-12-SP5-2024-1105=1</code>



</li>

</ul>

<h2>Package List:</h2>
<ul>


<li>
SUSE Linux Enterprise Server for SAP Applications 12 SP5
(x86_64)
<ul>


<li>xen-tools-domU-4.12.4_46-3.106.1</li>


<li>xen-libs-debuginfo-32bit-4.12.4_46-3.106.1</li>


<li>xen-tools-debuginfo-4.12.4_46-3.106.1</li>

<li>xen-libs-4.12.4_46-3.106.1</li>


<li>xen-debugsource-4.12.4_46-3.106.1</li>

<li>xen-4.12.4_46-3.106.1</li>


<li>xen-tools-domU-debuginfo-4.12.4_46-3.106.1</li>

<li>xen-doc-html-4.12.4_46-3.106.1</li>

<li>xen-tools-4.12.4_46-3.106.1</li>


<li>xen-libs-debuginfo-4.12.4_46-3.106.1</li>


<li>xen-libs-32bit-4.12.4_46-3.106.1</li>

</ul>
</li>



<li>
SUSE Linux Enterprise High Performance Computing 12 SP5
(x86_64)
<ul>


<li>xen-tools-domU-4.12.4_46-3.106.1</li>


<li>xen-libs-debuginfo-32bit-4.12.4_46-3.106.1</li>


<li>xen-tools-debuginfo-4.12.4_46-3.106.1</li>

<li>xen-libs-4.12.4_46-3.106.1</li>


<li>xen-debugsource-4.12.4_46-3.106.1</li>

<li>xen-4.12.4_46-3.106.1</li>


<li>xen-tools-domU-debuginfo-4.12.4_46-3.106.1</li>

<li>xen-doc-html-4.12.4_46-3.106.1</li>

<li>xen-tools-4.12.4_46-3.106.1</li>


<li>xen-libs-debuginfo-4.12.4_46-3.106.1</li>


<li>xen-libs-32bit-4.12.4_46-3.106.1</li>

</ul>
</li>



<li>
SUSE Linux Enterprise Server 12 SP5 (x86_64)
<ul>


<li>xen-tools-domU-4.12.4_46-3.106.1</li>


<li>xen-libs-debuginfo-32bit-4.12.4_46-3.106.1</li>


<li>xen-tools-debuginfo-4.12.4_46-3.106.1</li>

<li>xen-libs-4.12.4_46-3.106.1</li>


<li>xen-debugsource-4.12.4_46-3.106.1</li>

<li>xen-4.12.4_46-3.106.1</li>


<li>xen-tools-domU-debuginfo-4.12.4_46-3.106.1</li>

<li>xen-doc-html-4.12.4_46-3.106.1</li>

<li>xen-tools-4.12.4_46-3.106.1</li>


<li>xen-libs-debuginfo-4.12.4_46-3.106.1</li>


<li>xen-libs-32bit-4.12.4_46-3.106.1</li>

</ul>
</li>



<li>
SUSE Linux Enterprise Software Development Kit 12 SP5
(aarch64 x86_64)
<ul>

<li>xen-devel-4.12.4_46-3.106.1</li>


<li>xen-debugsource-4.12.4_46-3.106.1</li>

</ul>
</li>


</ul>


<h2>References:</h2>
<ul>


<li>
<a href="https://www.suse.com/security/cve/CVE-2023-28746.html">https://www.suse.com/security/cve/CVE-2023-28746.html</a>
</li>



<li>
<a href="https://www.suse.com/security/cve/CVE-2024-2193.html">https://www.suse.com/security/cve/CVE-2024-2193.html</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1027519">https://bugzilla.suse.com/show_bug.cgi?id=1027519</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1220141">https://bugzilla.suse.com/show_bug.cgi?id=1220141</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1221332">https://bugzilla.suse.com/show_bug.cgi?id=1221332</a>
</li>



<li>
<a href="https://bugzilla.suse.com/show_bug.cgi?id=1221334">https://bugzilla.suse.com/show_bug.cgi?id=1221334</a>
</li>


</ul>

</div>

--===============1293377641890722972==--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung